Welcome to the new home of the HDX FAQ
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Metadata

Get information about the sources of the data in HDX HAPI

get

Get information about the HDX Datasets that are used as data sources for HDX HAPI. Datasets contain one or more resources, which are the sources of the data found in HDX HAPI.

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

dataset_hdx_idstring · max: 36 · nullableOptional

Filter the response by the dataset ID (dataset_hdx_id), which is a unique and fixed identifier of a Dataset on HDX. A URL in the pattern of https://data.humdata.org/dataset/[dataset_hdx_id] will load the dataset page on HDX.

dataset_hdx_stubstring · max: 128 · nullableOptional

Filter the response by the URL-safe name (dataset_hdx_stub) of the dataset as displayed on HDX. This name is unique but can change. A URL in the pattern of https://data.humdata.org/dataset/[dataset_hdx_stub] will load the dataset page on HDX.

dataset_hdx_titlestring · max: 1024 · nullableOptional

Filter the response by the title of the dataset as it appears in the HDX interface. This name is not unique and can change.

hdx_provider_stubstring · max: 128 · nullableOptional

Filter the response by the URL-safe name of the provider (organization) of the dataset on HDX. A URL in the pattern of https://data.humdata.org/organization/[hdx_provider_stub] will load the provider's page on HDX.

hdx_provider_namestring · max: 512 · nullableOptional

Filter the response by the display name of the provider (organization) of the dataset on HDX.

output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/metadata/dataset
GET /api/v2/metadata/dataset?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "dataset_hdx_id": "text",
      "dataset_hdx_stub": "text",
      "dataset_hdx_title": "text",
      "hdx_provider_stub": "text",
      "hdx_provider_name": "text",
      "hdx_link": "https://example.com",
      "hdx_api_link": "https://example.com",
      "provider_hdx_link": "https://example.com",
      "provider_hdx_api_link": "https://example.com"
    }
  ]
}

Get information about the sources of the data in HDX HAPI

get

Get information about the resources that are used as data sources for HDX HAPI. Datasets contain one or more resources, which are the sources of the data found in HDX HAPI.

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

resource_hdx_idstring · max: 36 · nullableOptional

Filter the response by the resource ID, which is a unique and fixed identifier of a resource on HDX. A URL in the pattern of https://data.humdata.org/dataset/[dataset_hdx_id]/resource/[resource_hdx_id] will load the resource page on HDX.

formatstring · max: 32 · nullableOptional

Filter the response by the format of the resource on HDX. These are typically file formats (i.e. CSV, XLSX), but can also include APIs and web apps.

update_date_minany of · nullableOptional

Minimum date that datasets was last updated, e.g. 2020-01-01 or 2020-01-01T00:00:00

string · date-timeOptional
or
string · dateOptional
update_date_maxany of · nullableOptional

Maximum date that datasets was last updated, e.g. 2020-01-01 or 2020-01-01T00:00:00

string · date-timeOptional
or
string · dateOptional
is_hxlboolean · nullableOptional

Filter the response by whether or not the resource contains HXL tags.

dataset_hdx_idstring · max: 36 · nullableOptional

Filter the response by the dataset ID (dataset_hdx_id), which is a unique and fixed identifier of a dataset on HDX. A URL in the pattern of https://data.humdata.org/dataset/[dataset_hdx_id] will load the dataset page on HDX. See the dataset endpoint for details.

dataset_hdx_stubstring · max: 128 · nullableOptional

Filter the response by the URL-safe name (dataset_hdx_stub) of the dataset as displayed on HDX. This name is unique but can change. A URL in the pattern of https://data.humdata.org/dataset/[dataset_hdx_stub] will load the dataset page on HDX. See the dataset endpoint for details.

dataset_hdx_titlestring · max: 1024 · nullableOptional

Filter the response by the title of the dataset as it appears in the HDX interface. This name is not unique and can change. See the dataset endpoint for details.

dataset_hdx_provider_stubstring · max: 128 · nullableOptional

Filter the response by the URL-safe name of the provider (organization) of the dataset on HDX. A URL in the pattern of https://data.humdata.org/organization/[dataset_hdx_provider_stub] will load the provider's page on HDX.

dataset_hdx_provider_namestring · max: 512 · nullableOptional

Filter the response by the display name of the provider (organization) of the dataset on HDX.

output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/metadata/resource
GET /api/v2/metadata/resource?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "resource_hdx_id": "text",
      "dataset_hdx_id": "text",
      "name": "text",
      "format": "text",
      "update_date": "2026-01-01T00:00:00.000Z",
      "is_hxl": true,
      "download_url": "https://example.com",
      "hapi_updated_date": "2026-01-01T00:00:00.000Z",
      "dataset_hdx_stub": "text",
      "dataset_hdx_title": "text",
      "dataset_hdx_provider_stub": "text",
      "dataset_hdx_provider_name": "text",
      "hdx_link": "https://example.com",
      "hdx_api_link": "https://example.com",
      "dataset_hdx_link": "https://example.com",
      "dataset_hdx_api_link": "https://example.com",
      "provider_hdx_link": "https://example.com",
      "provider_hdx_api_link": "https://example.com"
    }
  ]
}

Get the list of locations (typically countries) included in HDX HAPI

get

Not all data are available for all locations. Learn more about the scope of data coverage in HDX HAPI in the Overview and Getting Started documentation.

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

idinteger · nullableOptional

Filter the response by a location (typically a country) reference number.

codestring · max: 128 · nullableOptional

Filter the response by a location (typically a country). The location codes use the ISO-3 (ISO 3166 alpha-3) codes.

namestring · max: 512 · nullableOptional

Filter the response by a location (typically a country). The location names are based on the "short name" from the UN M49 Standard.

has_hrpboolean · nullableOptional

Filter the response by the has_hrp flag. The has_hrp flag indicates whether a country has a Humanitarian Response Plan.

in_ghoboolean · nullableOptional

Filter the response by the in_gho flag. The in_gho flag indicates whether a country is in the Global Humanitarian Overview.

start_datestring · nullableOptional

Filter entries to include rows where the reference period overlaps with or extends beyond this date, e.g. 2020, 2020-01, 2020-01-01 or 2020-01-01T00:00:00

end_datestring · nullableOptional

Filter entries to include rows where the reference period overlaps with or begins prior to this date, e.g. 2020, 2020-01, 2020-01-01, 2020-01-01 or 2020-01-01T23:59:59

output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/metadata/location
GET /api/v2/metadata/location?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "id": 1,
      "code": "text",
      "name": "text",
      "has_hrp": true,
      "in_gho": true,
      "from_cods": true,
      "reference_period_start": "2026-01-01T00:00:00.000Z",
      "reference_period_end": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get the list of first-level subnational administrative divisions available in HDX HAPI

get

Not all data are available for all locations. Learn more about the scope of data coverage in HDX HAPI in the Overview and Getting Started documentation.

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

idinteger · nullableOptional

Filter the response by a location (typically a country), using the unique identifier (id) from the location table associated with each entry.

location_refinteger · nullableOptional

Filter the response by a location (typically a country) reference number.

codestring · max: 128 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 codes refer to the p-codes in the Common Operational Datasets.

namestring · max: 512 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 names refer to either the Common Operational Datasets or those provided in the original data source.

location_codestring · max: 128 · nullableOptional

Filter the response by a location (typically a country). The location codes use the ISO-3 (ISO 3166 alpha-3) codes. See the location endpoint for details.

location_namestring · max: 512 · nullableOptional

Filter the response by a location (typically a country). The location names are based on the "short name" from the UN M49 Standard. See the location endpoint for details.

start_datestring · nullableOptional

Filter entries to include rows where the reference period overlaps with or extends beyond this date, e.g. 2020, 2020-01, 2020-01-01 or 2020-01-01T00:00:00

end_datestring · nullableOptional

Filter entries to include rows where the reference period overlaps with or begins prior to this date, e.g. 2020, 2020-01, 2020-01-01, 2020-01-01 or 2020-01-01T23:59:59

output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/metadata/admin1
GET /api/v2/metadata/admin1?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "id": 1,
      "location_ref": 1,
      "code": "text",
      "name": "text",
      "from_cods": true,
      "reference_period_start": "2026-01-01T00:00:00.000Z",
      "reference_period_end": "2026-01-01T00:00:00.000Z",
      "location_code": "text",
      "location_name": "text"
    }
  ]
}

Get the list of second-level administrative divisions available in HDX HAPI

get

Not all data are available for all locations. Learn more about the scope of data coverage in HDX HAPI in the Overview and Getting Started documentation.

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

idinteger · nullableOptional

Filter the response by a location (typically a country), using the unique identifier (id) from the location table associated with each entry.

admin1_refinteger · nullableOptional

Filter the response by a location (typically a country) reference number.

location_refinteger · nullableOptional

Filter the response by a location (typically a country) reference number.

codestring · max: 128 · nullableOptional

Filter the response by the 2nd subnational administrative divisions. The admin2 codes refer to the p-codes in the Common Operational Datasets.

namestring · max: 512 · nullableOptional

Filter the response by the 2nd subnational administrative divisions. The admin2 names refer to either the Common Operational Datasets or those provided in the original data source.

admin1_codestring · max: 128 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 codes refer to the p-codes in the Common Operational Datasets. See the admin1 endpoint for details.

admin1_namestring · max: 512 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 names refer to either the Common Operational Datasets or those provided in the original data source. See the admin1 endpoint for details.

location_codestring · max: 128 · nullableOptional

Filter the response by a location (typically a country). The location codes use the ISO-3 (ISO 3166 alpha-3) codes. See the location endpoint for details.

location_namestring · max: 512 · nullableOptional

Filter the response by a location (typically a country). The location names are based on the "short name" from the UN M49 Standard. See the location endpoint for details.

start_datestring · nullableOptional

Filter entries to include rows where the reference period overlaps with or extends beyond this date, e.g. 2020, 2020-01, 2020-01-01 or 2020-01-01T00:00:00

end_datestring · nullableOptional

Filter entries to include rows where the reference period overlaps with or begins prior to this date, e.g. 2020, 2020-01, 2020-01-01, 2020-01-01 or 2020-01-01T23:59:59

output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/metadata/admin2
GET /api/v2/metadata/admin2?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "id": 1,
      "admin1_ref": 1,
      "code": "text",
      "name": "text",
      "from_cods": true,
      "reference_period_start": "2026-01-01T00:00:00.000Z",
      "reference_period_end": "2026-01-01T00:00:00.000Z",
      "admin1_code": "text",
      "admin1_name": "text",
      "location_code": "text",
      "location_name": "text",
      "location_ref": 1
    }
  ]
}

Get information about how currencies are classified

get

Provide currency information to use in conjunction with the food-prices endpoint

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

codestring · max: 32 · nullableOptional

Filter the response by the currency code.

output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/metadata/currency
GET /api/v2/metadata/currency?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "code": "text",
      "name": "text"
    }
  ]
}

Get the list of organizations represented in the data available in HDX HAPI

get
Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

acronymstring · max: 32 · nullableOptional

Filter the response by the standard acronym used to represent the organization. When data is brought into the HDX HAPI database, an attempt is made to standardize the acronyms.

namestring · max: 512 · nullableOptional

Filter the response by the standard name used to represent the organization. When data is brought into the HDX HAPI database, an attempt is made to standardize the acronyms.

org_type_codestring · max: 32 · nullableOptional

Filter the response by the organization type code.

org_type_descriptionstring · max: 512 · nullableOptional

Filter the response by the organization type description. See the org type endpoint for details.

output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/metadata/org
GET /api/v2/metadata/org?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "acronym": "text",
      "name": "text",
      "org_type_code": "text",
      "org_type_description": "text"
    }
  ]
}

Get information about how organizations are classified in HDX HAPI

get

There is no agreed standard for the classification of organizations. The codes and descriptions used in HDX HAPI are based on this dataset.

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

codestring · max: 32 · nullableOptional

Filter the response by the organization type code.

descriptionstring · max: 512 · nullableOptional

Filter the response by the organization type description.

output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/metadata/org-type
GET /api/v2/metadata/org-type?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "code": "text",
      "description": "text"
    }
  ]
}

Get information about how humanitarian response activities are classified

get

There are a variety of standards for the naming of humanitarian sectors. The codes and descriptions used in HDX HAPI are based on this dataset.

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

codestring · max: 32 · nullableOptional

Filter the response by the sector code.

namestring · max: 512 · nullableOptional

Filter the response by the sector name.

output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/metadata/sector
GET /api/v2/metadata/sector?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "code": "text",
      "name": "text"
    }
  ]
}

Get the list of WFP commodities

get

Provide commodity information to use in conjunction with the food-prices endpoint

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

codestring · max: 32 · nullableOptional

Filter the response by the unique code identifying the commodity.

categorystring · enum · nullableOptional

Filter the response by the food group that the commodity belongs to, available values are described here.

Possible values:
namestring · max: 512 · nullableOptional

Filter the response by the name of the commodity.

output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/metadata/wfp-commodity
GET /api/v2/metadata/wfp-commodity?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "code": "text",
      "category": "cereals and tubers",
      "name": "text"
    }
  ]
}

Get the list of WFP markets.

get

Provide physical market location information to use in conjunction with the food-prices endpoint

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

codestring · max: 32 · nullableOptional

Filter the response by the unique code identifying the market.

namestring · max: 512 · nullableOptional

Filter the response by the name of the market.

has_hrpboolean · nullableOptional

Filter the response by the has_hrp flag. The has_hrp flag indicates whether a country has a Humanitarian Response Plan.

in_ghoboolean · nullableOptional

Filter the response by the in_gho flag. The in_gho flag indicates whether a country is in the Global Humanitarian Overview.

location_codestring · max: 128 · nullableOptional

Filter the response by a location (typically a country). The location codes use the ISO-3 (ISO 3166 alpha-3) codes. See the location endpoint for details.

location_namestring · max: 512 · nullableOptional

Filter the response by a location (typically a country). The location names are based on the "short name" from the UN M49 Standard. See the location endpoint for details.

admin1_codestring · max: 128 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 codes refer to the p-codes in the Common Operational Datasets. See the admin1 endpoint for details.

admin1_namestring · max: 512 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 names refer to either the Common Operational Datasets or those provided in the original data source. See the admin1 endpoint for details.

admin2_codestring · max: 128 · nullableOptional

Filter the response by the 2nd subnational administrative divisions. The admin2 codes refer to the p-codes in the Common Operational Datasets. See the admin2 endpoint for details.

admin2_namestring · max: 512 · nullableOptional

Filter the response by the 2nd subnational administrative divisions. The admin2 names refer to either the Common Operational Datasets or those provided in the original data source. See the admin2 endpoint for details.

admin_levelstring · enum · nullableOptional

Filter the response by admin level.

Possible values:
output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/metadata/wfp-market
GET /api/v2/metadata/wfp-market?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "location_code": "text",
      "location_name": "text",
      "admin1_code": "text",
      "admin1_name": "text",
      "admin2_code": "text",
      "admin2_name": "text",
      "admin_level": 1,
      "code": "text",
      "name": "text",
      "lat": 1,
      "lon": 1
    }
  ]
}

Get information about the availability of data for different geographic admin levels

get

Provide currency information to use in conjunction with the food-prices endpoint

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

categorystring · max: 128 · nullableOptional

Filter the response by a data category

subcategorystring · max: 128 · nullableOptional

Filter the response by a data subcategory

hapi_updated_date_minany of · nullableOptional

Minimum date that datasets was last updated, e.g. 2020-01-01 or 2020-01-01T00:00:00

string · date-timeOptional
or
string · dateOptional
hapi_updated_date_maxany of · nullableOptional

Maximum date that datasets was last updated, e.g. 2020-01-01 or 2020-01-01T00:00:00

string · date-timeOptional
or
string · dateOptional
output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
location_codestring · max: 128 · nullableOptional

Filter the response by a location (typically a country). The location codes use the ISO-3 (ISO 3166 alpha-3) codes. See the location endpoint for details.

location_namestring · max: 512 · nullableOptional

Filter the response by a location (typically a country). The location names are based on the "short name" from the UN M49 Standard. See the location endpoint for details.

admin1_codestring · max: 128 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 codes refer to the p-codes in the Common Operational Datasets. See the admin1 endpoint for details.

admin1_namestring · max: 512 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 names refer to either the Common Operational Datasets or those provided in the original data source. See the admin1 endpoint for details.

admin2_codestring · max: 128 · nullableOptional

Filter the response by the 2nd subnational administrative divisions. The admin2 codes refer to the p-codes in the Common Operational Datasets. See the admin2 endpoint for details.

admin2_namestring · max: 512 · nullableOptional

Filter the response by the 2nd subnational administrative divisions. The admin2 names refer to either the Common Operational Datasets or those provided in the original data source. See the admin2 endpoint for details.

admin_levelstring · enum · nullableOptional

Filter the response by admin level.

Possible values:
Responses
200

Successful Response

application/json
get/api/v2/metadata/data-availability
GET /api/v2/metadata/data-availability?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "location_code": "text",
      "location_name": "text",
      "admin1_code": "text",
      "admin1_name": "text",
      "admin2_code": "text",
      "admin2_name": "text",
      "admin_level": 1,
      "category": "text",
      "subcategory": "text",
      "hapi_updated_date": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Last updated

Was this helpful?